default:
    image: node:lts

stages:
    - build
    - test
    - deploy

build_a:
    stage: build
    script: echo build successfull

test_a:
    stage: test
    script: echo test successfull

deploy_a:
    stage: deploy
    script: echo deploy successfull

ecr-push:
  stage: deploy
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  variables:
    ECR_URL: 656337613100.dkr.ecr.ap-northeast-1.amazonaws.com/ecr-push
  script:
    - echo "{\"credsStore\":\"ecr-login\"}" > /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Dockerfile --destination ${ECR_URL}:latest

